"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IVisibility = exports.IUserOrderBy = exports.ISortEnum = exports.ISmsServiceActions = exports.ISettingValueType = exports.IRoomType = exports.IRole = exports.IProjectType = exports.IProjectSourceType = exports.IProjectSourceProviders = exports.IPreDefinedRole = exports.IPostServiceCommands = exports.IPortalLanguage = exports.IPermissionType = exports.IPermissionResource = exports.IPermissionAction = exports.IOrgUserRole = exports.IOrganizationContextPubSubEvents = exports.IOrgainizationInvitationRole = exports.IMoleculerTopics = exports.IMoleculerServiceName = exports.IMoleculerCronServiceName = exports.IMessengerUserStatus = exports.IMessengerNotificationServiceCommands = exports.IMailTemplateId = exports.IInviteStatus = exports.IGlobalLanguages = exports.IGlobalCurrencies = exports.IFileRefType = exports.IEditPresentationTypes = exports.IConfigurationTarget = exports.IConfigurationScope = exports.IConfigFragmentName = exports.IConfigCollectionName = exports.IClientTypes = exports.IChannelSort = exports.IChannelServiceCommands = exports.IChannelPrivacy = exports.IBaseServiceCommands = exports.IApplicationRoles = void 0;
var IApplicationRoles;
(function (IApplicationRoles) {
    /** Admin of an Organization */
    IApplicationRoles["ADMIN"] = "ADMIN";
    /** Project Contributors */
    IApplicationRoles["CONTRIBUTORS"] = "CONTRIBUTORS";
    /** Guest  */
    IApplicationRoles["GUEST"] = "GUEST";
    IApplicationRoles["MEMBER"] = "MEMBER";
    /**  organization member  */
    IApplicationRoles["ORGANIZATION_MANAGER"] = "ORGANIZATION_MANAGER";
    /** Owner of an Organization */
    IApplicationRoles["OWNER"] = "OWNER";
    /** Project Admin */
    IApplicationRoles["PROJECT_ADMIN"] = "PROJECT_ADMIN";
    /** Project Viewer */
    IApplicationRoles["PROJECT_VIEWER"] = "PROJECT_VIEWER";
    IApplicationRoles["TEAM_MAINTAINER"] = "TEAM_MAINTAINER";
    IApplicationRoles["TEAM_MEMBER"] = "TEAM_MEMBER";
    /** User who is logged in */
    IApplicationRoles["USER"] = "USER";
})(IApplicationRoles = exports.IApplicationRoles || (exports.IApplicationRoles = {}));
var IBaseServiceCommands;
(function (IBaseServiceCommands) {
    IBaseServiceCommands["count"] = "count";
    IBaseServiceCommands["get"] = "get";
    IBaseServiceCommands["getAll"] = "getAll";
    IBaseServiceCommands["create"] = "create";
    IBaseServiceCommands["insert"] = "insert";
    IBaseServiceCommands["bulkCreate"] = "bulkCreate";
    IBaseServiceCommands["update"] = "update";
    IBaseServiceCommands["delete"] = "delete";
    IBaseServiceCommands["getAllWithCount"] = "getAllWithCount";
})(IBaseServiceCommands = exports.IBaseServiceCommands || (exports.IBaseServiceCommands = {}));
var IChannelPrivacy;
(function (IChannelPrivacy) {
    IChannelPrivacy["PRIVATE"] = "PRIVATE";
    IChannelPrivacy["PUBLIC"] = "PUBLIC";
    IChannelPrivacy["ALL"] = "ALL";
})(IChannelPrivacy = exports.IChannelPrivacy || (exports.IChannelPrivacy = {}));
var IChannelServiceCommands;
(function (IChannelServiceCommands) {
    IChannelServiceCommands["createDirectChannel"] = "createDirectChannel";
    IChannelServiceCommands["addMemberToChannel"] = "addMemberToChannel";
    IChannelServiceCommands["saveDirectChannel"] = "saveDirectChannel";
    IChannelServiceCommands["saveChannel"] = "saveChannel";
    IChannelServiceCommands["getChannelUnread"] = "getChannelUnread";
    IChannelServiceCommands["invalidateChannelByName"] = "invalidateChannelByName";
    IChannelServiceCommands["getPinnedPosts"] = "getPinnedPosts";
    IChannelServiceCommands["getFromMaster"] = "getFromMaster";
    IChannelServiceCommands["restore"] = "restore";
    IChannelServiceCommands["permanentDeleteByTeam"] = "permanentDeleteByTeam";
    IChannelServiceCommands["permanentDelete"] = "permanentDelete";
    IChannelServiceCommands["permanentDeleteMembersByChannel"] = "permanentDeleteMembersByChannel";
    IChannelServiceCommands["getChannels"] = "getChannels";
    IChannelServiceCommands["getMoreChannels"] = "getMoreChannels";
    IChannelServiceCommands["getPrivateChannelsForTeam"] = "getPrivateChannelsForTeam";
    IChannelServiceCommands["getPublicChannelsForTeam"] = "getPublicChannelsForTeam";
    IChannelServiceCommands["getPublicChannelsByIdsForTeam"] = "getPublicChannelsByIdsForTeam";
    IChannelServiceCommands["getChannelCounts"] = "getChannelCounts";
    IChannelServiceCommands["getTeamChannels"] = "getTeamChannels";
    IChannelServiceCommands["getByName"] = "getByName";
    IChannelServiceCommands["getByNames"] = "getByNames";
    IChannelServiceCommands["getByNameIncludeDeleted"] = "getByNameIncludeDeleted";
    IChannelServiceCommands["getDeletedByName"] = "getDeletedByName";
    IChannelServiceCommands["getDeleted"] = "getDeleted";
    IChannelServiceCommands["saveMultipleMembers"] = "saveMultipleMembers";
    IChannelServiceCommands["hideChannel"] = "hideChannel";
    IChannelServiceCommands["leaveChannel"] = "leaveChannel";
    IChannelServiceCommands["deleteChannel"] = "deleteChannel";
    IChannelServiceCommands["isMember"] = "isMember";
    IChannelServiceCommands["viewChannel"] = "viewChannel";
})(IChannelServiceCommands = exports.IChannelServiceCommands || (exports.IChannelServiceCommands = {}));
var IChannelSort;
(function (IChannelSort) {
    IChannelSort["NAME"] = "NAME";
    IChannelSort["NUMBER_OF_MESSAGES"] = "NUMBER_OF_MESSAGES";
})(IChannelSort = exports.IChannelSort || (exports.IChannelSort = {}));
var IClientTypes;
(function (IClientTypes) {
    IClientTypes["Business"] = "Business";
    IClientTypes["Individuals"] = "Individuals";
})(IClientTypes = exports.IClientTypes || (exports.IClientTypes = {}));
var IConfigCollectionName;
(function (IConfigCollectionName) {
    IConfigCollectionName["application"] = "application";
    IConfigCollectionName["accounts"] = "accounts";
    IConfigCollectionName["organizations"] = "organizations";
    IConfigCollectionName["machines"] = "machines";
    IConfigCollectionName["workspaces"] = "workspaces";
    IConfigCollectionName["teams"] = "teams";
    IConfigCollectionName["projects"] = "projects";
    IConfigCollectionName["clients"] = "clients";
})(IConfigCollectionName = exports.IConfigCollectionName || (exports.IConfigCollectionName = {}));
var IConfigFragmentName;
(function (IConfigFragmentName) {
    IConfigFragmentName["resources"] = "resources";
    IConfigFragmentName["settings"] = "settings";
    IConfigFragmentName["policies"] = "policies";
    IConfigFragmentName["applicationPolicies"] = "applicationPolicies";
    IConfigFragmentName["roles"] = "roles";
    IConfigFragmentName["contributionRoles"] = "contributionRoles";
    /**  Team Members Document with role value  */
    IConfigFragmentName["teamMembers"] = "teamMembers";
    /**  Organization Members Document with role value  */
    IConfigFragmentName["orgMembers"] = "orgMembers";
    /**  Billing  */
    IConfigFragmentName["billingPlanPolicies"] = "billingPlanPolicies";
})(IConfigFragmentName = exports.IConfigFragmentName || (exports.IConfigFragmentName = {}));
/**
 * A configuration settings can have one of the following possible scopes.
 * Configuration scopes determine when a settings is available to the user through the Settings editor and
 * whether the setting is applicable. If no scope is declared, the default is `window`.
 */
var IConfigurationScope;
(function (IConfigurationScope) {
    /** Application specific configuration, which can be configured only in local user settings. */
    IConfigurationScope["APPLICATION"] = "APPLICATION";
    /** Machine specific configuration, which can be configured only in local and remote user settings. */
    IConfigurationScope["MACHINE"] = "MACHINE";
    /** Window specific configuration, which can be configured in the user or organization settings. */
    IConfigurationScope["WINDOW"] = "WINDOW";
    /** Resource specific configuration, which can be configured in the user, organization or workspace settings. */
    IConfigurationScope["RESOURCE"] = "RESOURCE";
})(IConfigurationScope = exports.IConfigurationScope || (exports.IConfigurationScope = {}));
var IConfigurationTarget;
(function (IConfigurationTarget) {
    /** Targets the user configuration file for writing. */
    IConfigurationTarget["USER"] = "USER";
    IConfigurationTarget["APPLICATION"] = "APPLICATION";
    IConfigurationTarget["MACHINE"] = "MACHINE";
    /** Targets the organization configuration file for writing. This only works if a organization is opened. */
    IConfigurationTarget["ORGANIZATION"] = "ORGANIZATION";
    /** Targets the resource configuration file for writing. This only works if a organization is opened. */
    IConfigurationTarget["ORGANIZATION_RESOURCE"] = "ORGANIZATION_RESOURCE";
    IConfigurationTarget["DEFAULT"] = "DEFAULT";
    IConfigurationTarget["MEMORY"] = "MEMORY";
})(IConfigurationTarget = exports.IConfigurationTarget || (exports.IConfigurationTarget = {}));
var IEditPresentationTypes;
(function (IEditPresentationTypes) {
    IEditPresentationTypes["Multiline"] = "Multiline";
    IEditPresentationTypes["Singleline"] = "Singleline";
})(IEditPresentationTypes = exports.IEditPresentationTypes || (exports.IEditPresentationTypes = {}));
/**  File Reference Type  */
var IFileRefType;
(function (IFileRefType) {
    IFileRefType["Post"] = "Post";
    IFileRefType["Unknown"] = "Unknown";
})(IFileRefType = exports.IFileRefType || (exports.IFileRefType = {}));
var IGlobalCurrencies;
(function (IGlobalCurrencies) {
    IGlobalCurrencies["USD"] = "USD";
    IGlobalCurrencies["EURO"] = "EURO";
    IGlobalCurrencies["AUD"] = "AUD";
})(IGlobalCurrencies = exports.IGlobalCurrencies || (exports.IGlobalCurrencies = {}));
var IGlobalLanguages;
(function (IGlobalLanguages) {
    IGlobalLanguages["English"] = "English";
    IGlobalLanguages["Spanish"] = "Spanish";
    IGlobalLanguages["French"] = "French";
    IGlobalLanguages["Russian"] = "Russian";
})(IGlobalLanguages = exports.IGlobalLanguages || (exports.IGlobalLanguages = {}));
var IInviteStatus;
(function (IInviteStatus) {
    IInviteStatus["PENDING"] = "PENDING";
    IInviteStatus["ACCEPTED"] = "ACCEPTED";
    IInviteStatus["DECLINED"] = "DECLINED";
})(IInviteStatus = exports.IInviteStatus || (exports.IInviteStatus = {}));
var IMailTemplateId;
(function (IMailTemplateId) {
    IMailTemplateId["MessageNotificationServiceId"] = "MessageNotificationServiceId";
    IMailTemplateId["dummy"] = "dummy";
})(IMailTemplateId = exports.IMailTemplateId || (exports.IMailTemplateId = {}));
var IMessengerNotificationServiceCommands;
(function (IMessengerNotificationServiceCommands) {
    IMessengerNotificationServiceCommands["sendNotificationOfUnreadMessages"] = "sendNotificationOfUnreadMessages";
})(IMessengerNotificationServiceCommands = exports.IMessengerNotificationServiceCommands || (exports.IMessengerNotificationServiceCommands = {}));
var IMessengerUserStatus;
(function (IMessengerUserStatus) {
    IMessengerUserStatus["ONLINE"] = "ONLINE";
    IMessengerUserStatus["AWAY"] = "AWAY";
    IMessengerUserStatus["BUSY"] = "BUSY";
    IMessengerUserStatus["INVISIBLE"] = "INVISIBLE";
})(IMessengerUserStatus = exports.IMessengerUserStatus || (exports.IMessengerUserStatus = {}));
var IMoleculerCronServiceName;
(function (IMoleculerCronServiceName) {
    IMoleculerCronServiceName["MessengerCronJob"] = "MessengerCronJob";
    IMoleculerCronServiceName["dummy"] = "dummy";
})(IMoleculerCronServiceName = exports.IMoleculerCronServiceName || (exports.IMoleculerCronServiceName = {}));
/**  All Moleculer Topic names are extended from this. */
var IMoleculerServiceName;
(function (IMoleculerServiceName) {
    IMoleculerServiceName["MessengerNotificationService"] = "MessengerNotificationService";
    IMoleculerServiceName["SmsService"] = "SmsService";
    IMoleculerServiceName["dummy"] = "dummy";
})(IMoleculerServiceName = exports.IMoleculerServiceName || (exports.IMoleculerServiceName = {}));
var IMoleculerTopics;
(function (IMoleculerTopics) {
    IMoleculerTopics["BaseService"] = "BaseService";
    IMoleculerTopics["ChannelService"] = "ChannelService";
    IMoleculerTopics["PostService"] = "PostService";
    IMoleculerTopics["PostThreadService"] = "PostThreadService";
    IMoleculerTopics["ReactionService"] = "ReactionService";
    IMoleculerTopics["MessengerNotificationService"] = "MessengerNotificationService";
})(IMoleculerTopics = exports.IMoleculerTopics || (exports.IMoleculerTopics = {}));
/**
 * OrganizationInvitationRole: The possible organization invitation roles.
 *
 * @property
 * ADMIN: The user is invited to be an admin of the organization
 * BILLING_MANAGER: The user is invited to be a billing manager of the organization.
 * DIRECT_MEMBER: The user is invited to be a direct member of the organization.
 * REINSTATE: The user's previous role will be reinstated.
 */
var IOrgainizationInvitationRole;
(function (IOrgainizationInvitationRole) {
    IOrgainizationInvitationRole["ADMIN"] = "ADMIN";
    IOrgainizationInvitationRole["REINSTATE"] = "REINSTATE";
    IOrgainizationInvitationRole["DIRECT_MEMBER"] = "DIRECT_MEMBER";
    IOrgainizationInvitationRole["BILLING_MANAGER"] = "BILLING_MANAGER";
})(IOrgainizationInvitationRole = exports.IOrgainizationInvitationRole || (exports.IOrgainizationInvitationRole = {}));
/** Subscription event for context */
var IOrganizationContextPubSubEvents;
(function (IOrganizationContextPubSubEvents) {
    IOrganizationContextPubSubEvents["OrganizationContextUpdated"] = "OrganizationContextUpdated";
    IOrganizationContextPubSubEvents["OrganizationPolicyUpdated"] = "OrganizationPolicyUpdated";
    IOrganizationContextPubSubEvents["OrganizationConfigurationUpdated"] = "OrganizationConfigurationUpdated";
    IOrganizationContextPubSubEvents["OrganizationPermissionUpdated"] = "OrganizationPermissionUpdated";
})(IOrganizationContextPubSubEvents = exports.IOrganizationContextPubSubEvents || (exports.IOrganizationContextPubSubEvents = {}));
var IOrgUserRole;
(function (IOrgUserRole) {
    IOrgUserRole["BILLING_LEADER"] = "BILLING_LEADER";
    IOrgUserRole["MEMBER"] = "MEMBER";
    IOrgUserRole["ADMIN"] = "ADMIN";
    IOrgUserRole["OWNER"] = "OWNER";
})(IOrgUserRole = exports.IOrgUserRole || (exports.IOrgUserRole = {}));
var IPermissionAction;
(function (IPermissionAction) {
    IPermissionAction["Create"] = "Create";
    IPermissionAction["Delete"] = "Delete";
    IPermissionAction["Edit"] = "Edit";
    IPermissionAction["Invite"] = "Invite";
    IPermissionAction["Manage"] = "Manage";
    IPermissionAction["View"] = "View";
})(IPermissionAction = exports.IPermissionAction || (exports.IPermissionAction = {}));
var IPermissionResource;
(function (IPermissionResource) {
    IPermissionResource["Members"] = "Members";
    IPermissionResource["Organization"] = "Organization";
    IPermissionResource["Permissions"] = "Permissions";
    IPermissionResource["Roles"] = "Roles";
    IPermissionResource["Settings"] = "Settings";
    IPermissionResource["Teams"] = "Teams";
})(IPermissionResource = exports.IPermissionResource || (exports.IPermissionResource = {}));
var IPermissionType;
(function (IPermissionType) {
    IPermissionType["Allow"] = "Allow";
    IPermissionType["Deny"] = "Deny";
    IPermissionType["NotSet"] = "NotSet";
})(IPermissionType = exports.IPermissionType || (exports.IPermissionType = {}));
var IPortalLanguage;
(function (IPortalLanguage) {
    IPortalLanguage["English"] = "English";
    IPortalLanguage["Hindi"] = "Hindi";
    IPortalLanguage["Gujarati"] = "Gujarati";
    IPortalLanguage["Spanish"] = "Spanish";
    IPortalLanguage["Russian"] = "Russian";
})(IPortalLanguage = exports.IPortalLanguage || (exports.IPortalLanguage = {}));
var IPostServiceCommands;
(function (IPostServiceCommands) {
    IPostServiceCommands["attachUploadedFile"] = "attachUploadedFile";
    IPostServiceCommands["createFileUploadLink"] = "createFileUploadLink";
    IPostServiceCommands["deleteFile"] = "deleteFile";
    IPostServiceCommands["readMessage"] = "readMessage";
    IPostServiceCommands["deliverMessage"] = "deliverMessage";
})(IPostServiceCommands = exports.IPostServiceCommands || (exports.IPostServiceCommands = {}));
var IPreDefinedRole;
(function (IPreDefinedRole) {
    IPreDefinedRole["OWNER"] = "OWNER";
    IPreDefinedRole["ADMIN"] = "ADMIN";
    IPreDefinedRole["MAINTAINER"] = "MAINTAINER";
    IPreDefinedRole["MEMBER"] = "MEMBER";
    IPreDefinedRole["PROJECT_ADMIN"] = "PROJECT_ADMIN";
    IPreDefinedRole["BILLING_LEADER"] = "BILLING_LEADER";
    IPreDefinedRole["DIRECT_MEMBER"] = "DIRECT_MEMBER";
    IPreDefinedRole["VIEWER"] = "VIEWER";
    IPreDefinedRole["GUEST"] = "GUEST";
    IPreDefinedRole["CONTRIBUTORS"] = "CONTRIBUTORS";
})(IPreDefinedRole = exports.IPreDefinedRole || (exports.IPreDefinedRole = {}));
/** Various Source Providers for Projects Source. */
var IProjectSourceProviders;
(function (IProjectSourceProviders) {
    IProjectSourceProviders["Github"] = "Github";
    IProjectSourceProviders["Bitbucket"] = "Bitbucket";
    IProjectSourceProviders["Gitlab"] = "Gitlab";
    IProjectSourceProviders["Vsts"] = "Vsts";
    IProjectSourceProviders["None"] = "None";
})(IProjectSourceProviders = exports.IProjectSourceProviders || (exports.IProjectSourceProviders = {}));
/** Various types of sources. */
var IProjectSourceType;
(function (IProjectSourceType) {
    IProjectSourceType["Blank"] = "Blank";
    IProjectSourceType["Zip"] = "Zip";
    IProjectSourceType["Git"] = "Git";
})(IProjectSourceType = exports.IProjectSourceType || (exports.IProjectSourceType = {}));
var IProjectType;
(function (IProjectType) {
    IProjectType["internal"] = "internal";
    IProjectType["others"] = "others";
    IProjectType["asana"] = "asana";
})(IProjectType = exports.IProjectType || (exports.IProjectType = {}));
var IRole;
(function (IRole) {
    IRole["ADMIN"] = "ADMIN";
    IRole["REVIEWER"] = "REVIEWER";
    IRole["USER"] = "USER";
    IRole["UNKNOWN"] = "UNKNOWN";
})(IRole = exports.IRole || (exports.IRole = {}));
var IRoomType;
(function (IRoomType) {
    IRoomType["CHANNEL"] = "CHANNEL";
    IRoomType["DIRECT"] = "DIRECT";
    IRoomType["GROUP"] = "GROUP";
    IRoomType["PRIVATE"] = "PRIVATE";
    IRoomType["VISITOR"] = "VISITOR";
})(IRoomType = exports.IRoomType || (exports.IRoomType = {}));
var ISettingValueType;
(function (ISettingValueType) {
    ISettingValueType["Null"] = "Null";
    ISettingValueType["Enum"] = "Enum";
    ISettingValueType["String"] = "String";
    ISettingValueType["Integer"] = "Integer";
    ISettingValueType["Number"] = "Number";
    ISettingValueType["Boolean"] = "Boolean";
    ISettingValueType["Exclude"] = "Exclude";
    ISettingValueType["Complex"] = "Complex";
    ISettingValueType["NullableInteger"] = "NullableInteger";
    ISettingValueType["NullableNumber"] = "NullableNumber";
})(ISettingValueType = exports.ISettingValueType || (exports.ISettingValueType = {}));
var ISmsServiceActions;
(function (ISmsServiceActions) {
    ISmsServiceActions["send"] = "send";
})(ISmsServiceActions = exports.ISmsServiceActions || (exports.ISmsServiceActions = {}));
var ISortEnum;
(function (ISortEnum) {
    ISortEnum["ASC"] = "ASC";
    ISortEnum["DESC"] = "DESC";
})(ISortEnum = exports.ISortEnum || (exports.ISortEnum = {}));
var IUserOrderBy;
(function (IUserOrderBy) {
    IUserOrderBy["auth0UserId_ASC"] = "auth0UserId_ASC";
    IUserOrderBy["auth0UserId_DESC"] = "auth0UserId_DESC";
    IUserOrderBy["createdAt_ASC"] = "createdAt_ASC";
    IUserOrderBy["createdAt_DESC"] = "createdAt_DESC";
    IUserOrderBy["emailSubscription_ASC"] = "emailSubscription_ASC";
    IUserOrderBy["emailSubscription_DESC"] = "emailSubscription_DESC";
    IUserOrderBy["id_ASC"] = "id_ASC";
    IUserOrderBy["id_DESC"] = "id_DESC";
    IUserOrderBy["updatedAt_ASC"] = "updatedAt_ASC";
    IUserOrderBy["updatedAt_DESC"] = "updatedAt_DESC";
})(IUserOrderBy = exports.IUserOrderBy || (exports.IUserOrderBy = {}));
var IVisibility;
(function (IVisibility) {
    IVisibility["private"] = "private";
    IVisibility["public"] = "public";
})(IVisibility = exports.IVisibility || (exports.IVisibility = {}));
//# sourceMappingURL=generated-models.js.map